/* Per evitare potenziali problemi di perdita di dati, si consiglia di esaminare dettagliatamente lo script prima di eseguirlo al di fuori del contesto di Progettazione database.*/
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_DataUscita
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_PrezzoNetto
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_PrezzoCopertinaEuroDistributore
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDIva
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_ScorporoIVA
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_ScontoEdicola
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_SovraprezzoEuro
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_Esaurito
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_FlagContoDepositoFatt
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDAssociazione
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_PrezzoCessione
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_NumeroDistribuzione
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDProd
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDDL
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDSottoEditore
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_IDEditore
GO
ALTER TABLE dbo.Uscite
	DROP CONSTRAINT DF_Uscite_InfoRiv
GO
CREATE TABLE dbo.Tmp_Uscite
	(
	IDUscita int NOT NULL,
	IDProdotto varchar(18) NULL,
	CodiceInforete varchar(14) NULL,
	Addon varchar(5) NULL,
	NumeroCopertina varchar(8) NULL,
	DataUscita datetime NULL,
	BarcodeAddon varchar(18) NULL,
	PrezzoNetto decimal(18, 6) NULL,
	PrezzoCopertinaEuroDistributore decimal(18, 2) NULL,
	IDIva int NULL,
	ScorporoIVA decimal(18, 2) NULL,
	ScontoEdicola decimal(18, 2) NULL,
	SovraprezzoEuro decimal(18, 6) NULL,
	NumeroConInserti varchar(1) NULL,
	DescrizioneInserti varchar(30) NULL,
	Sottotitolo varchar(20) NULL,
	NoteNumeroDistributore varchar(40) NULL,
	NoteNumeroEdicola varchar(30) NULL,
	CopieFornite int NULL,
	Giacenza decimal(18, 3) NULL,
	CopieRese int NULL,
	CopieReseRiscontrate int NULL,
	Esaurito bit NULL,
	DataResa datetime NULL,
	DataUltimaResa datetime NULL,
	CopieUltimaResa int NULL,
	DataUltimissimaResa datetime NULL,
	CopieUltimissimaResa int NULL,
	CopieResaExtra int NULL,
	DataResaExtra datetime NULL,
	FlagNumeroControllato varchar(1) NULL,
	MaterialePubblicitario int NULL,
	SovrascontoNatale varchar(1) NULL,
	PercentualeSovrascontoNatale decimal(18, 0) NULL,
	MultiploPerPaccotti int NULL,
	FascicoloGuidaPaccotti varchar(14) NULL,
	CodiceBanded varchar(50) NULL,
	DataPresuntaFattCD datetime NULL,
	FlagContoDepositoFatt bit NULL,
	DataFattContoDeposito datetime NULL,
	NumeroFatt50 varchar(1) NULL,
	DataFattRestante50 datetime NULL,
	CodiceBuono decimal(10, 0) NULL,
	DescrizioneBuonoSconto varchar(20) NULL,
	PrezzoBuonoScontoEuro decimal(18, 0) NULL,
	CopieArrivateInizialmenteInBolla int NULL,
	DataRRPdv datetime NULL,
	DataRRPdv1 datetime NULL,
	DataRRPdv2 datetime NULL,
	DataEsu datetime NULL,
	DataEsuPdv datetime NULL,
	CopieEsu int NULL,
	DataInizioPromozione datetime NULL,
	ScadBuono datetime NULL,
	UltNum varchar(7) NULL,
	FlagScad varchar(1) NULL,
	DataResaBuono datetime NULL,
	CopieResaBuono int NULL,
	IDAssociazione varchar(1) NULL,
	PrezzoCessione decimal(18, 6) NULL,
	CopieCCdep int NULL,
	NumUsciteArr int NULL,
	MaggArr decimal(18, 3) NULL,
	DataCons datetime NULL,
	NumeroDistribuzione int NULL,
	IDProd int NULL,
	IDDL int NULL,
	IDSottoEditore int NULL,
	IDEditore int NULL,
	InfoRiv int NULL,
	DataUltimaModifica datetime NULL,
	ResaRespinta int NULL,
	DataResaRespinta datetime NULL,
	PrezzoVenditaExtra decimal(18, 2) NULL,
	Foto varchar(150) NULL
	)  ON [PRIMARY]
GO
DECLARE @v sql_variant 
SET @v = N'0'
EXECUTE sp_addextendedproperty N'MS_Description', @v, N'SCHEMA', N'dbo', N'TABLE', N'Tmp_Uscite', N'COLUMN', N'CopieEsu'
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_DataUscita DEFAULT (getdate()) FOR DataUscita
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_PrezzoNetto DEFAULT (0) FOR PrezzoNetto
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_PrezzoCopertinaEuroDistributore DEFAULT (0) FOR PrezzoCopertinaEuroDistributore
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDIva DEFAULT (0) FOR IDIva
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_ScorporoIVA DEFAULT (0) FOR ScorporoIVA
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_ScontoEdicola DEFAULT (0) FOR ScontoEdicola
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_SovraprezzoEuro DEFAULT (0) FOR SovraprezzoEuro
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_Esaurito DEFAULT (0) FOR Esaurito
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_FlagContoDepositoFatt DEFAULT (0) FOR FlagContoDepositoFatt
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDAssociazione DEFAULT (0) FOR IDAssociazione
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_PrezzoCessione DEFAULT (0) FOR PrezzoCessione
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_NumeroDistribuzione DEFAULT (0) FOR NumeroDistribuzione
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDProd DEFAULT (0) FOR IDProd
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDDL DEFAULT (0) FOR IDDL
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDSottoEditore DEFAULT (0) FOR IDSottoEditore
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_IDEditore DEFAULT (0) FOR IDEditore
GO
ALTER TABLE dbo.Tmp_Uscite ADD CONSTRAINT
	DF_Uscite_InfoRiv DEFAULT (0) FOR InfoRiv
GO
IF EXISTS(SELECT * FROM dbo.Uscite)
	 EXEC('INSERT INTO dbo.Tmp_Uscite (IDUscita, IDProdotto, CodiceInforete, Addon, NumeroCopertina, DataUscita, BarcodeAddon, PrezzoNetto, PrezzoCopertinaEuroDistributore, IDIva, ScorporoIVA, ScontoEdicola, SovraprezzoEuro, NumeroConInserti, DescrizioneInserti, Sottotitolo, NoteNumeroDistributore, NoteNumeroEdicola, CopieFornite, Giacenza, CopieRese, CopieReseRiscontrate, Esaurito, DataResa, DataUltimaResa, CopieUltimaResa, DataUltimissimaResa, CopieUltimissimaResa, CopieResaExtra, DataResaExtra, FlagNumeroControllato, MaterialePubblicitario, SovrascontoNatale, PercentualeSovrascontoNatale, MultiploPerPaccotti, FascicoloGuidaPaccotti, CodiceBanded, DataPresuntaFattCD, FlagContoDepositoFatt, DataFattContoDeposito, NumeroFatt50, DataFattRestante50, CodiceBuono, DescrizioneBuonoSconto, PrezzoBuonoScontoEuro, CopieArrivateInizialmenteInBolla, DataRRPdv, DataRRPdv1, DataRRPdv2, DataEsu, DataEsuPdv, CopieEsu, DataInizioPromozione, ScadBuono, UltNum, FlagScad, DataResaBuono, CopieResaBuono, IDAssociazione, PrezzoCessione, CopieCCdep, NumUsciteArr, MaggArr, DataCons, NumeroDistribuzione, IDProd, IDDL, IDSottoEditore, IDEditore, InfoRiv, DataUltimaModifica, ResaRespinta, DataResaRespinta, PrezzoVenditaExtra, Foto)
		SELECT IDUscita, IDProdotto, CodiceInforete, Addon, NumeroCopertina, DataUscita, BarcodeAddon, PrezzoNetto, PrezzoCopertinaEuroDistributore, IDIva, ScorporoIVA, ScontoEdicola, SovraprezzoEuro, NumeroConInserti, DescrizioneInserti, Sottotitolo, NoteNumeroDistributore, NoteNumeroEdicola, CopieFornite, Giacenza, CopieRese, CopieReseRiscontrate, Esaurito, DataResa, DataUltimaResa, CopieUltimaResa, DataUltimissimaResa, CopieUltimissimaResa, CopieResaExtra, DataResaExtra, FlagNumeroControllato, MaterialePubblicitario, SovrascontoNatale, PercentualeSovrascontoNatale, MultiploPerPaccotti, FascicoloGuidaPaccotti, CodiceBanded, DataPresuntaFattCD, FlagContoDepositoFatt, DataFattContoDeposito, NumeroFatt50, DataFattRestante50, CodiceBuono, DescrizioneBuonoSconto, PrezzoBuonoScontoEuro, CopieArrivateInizialmenteInBolla, DataRRPdv, DataRRPdv1, DataRRPdv2, DataEsu, DataEsuPdv, CopieEsu, DataInizioPromozione, ScadBuono, UltNum, FlagScad, DataResaBuono, CopieResaBuono, IDAssociazione, PrezzoCessione, CopieCCdep, NumUsciteArr, MaggArr, DataCons, NumeroDistribuzione, IDProd, IDDL, IDSottoEditore, IDEditore, CONVERT(int, InfoRiv), DataUltimaModifica, ResaRespinta, DataResaRespinta, PrezzoVenditaExtra, Foto FROM dbo.Uscite WITH (HOLDLOCK TABLOCKX)')
GO
DROP TABLE dbo.Uscite
GO
EXECUTE sp_rename N'dbo.Tmp_Uscite', N'Uscite', 'OBJECT' 
GO
ALTER TABLE dbo.Uscite ADD CONSTRAINT
	PK_Uscite PRIMARY KEY CLUSTERED 
	(
	IDUscita
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
CREATE NONCLUSTERED INDEX IX_Uscite ON dbo.Uscite
	(
	BarcodeAddon
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX IX_Uscite_1 ON dbo.Uscite
	(
	IDUscita
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX IX_Uscite_2 ON dbo.Uscite
	(
	IDProd
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
COMMIT
